Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Dispatch Settings GETCreate Dispatch Settings POSTUpdate Dispatch Settings PUTGet project by ID GETGet projects GETCreate project POSTGet Provider Talent Pool Group Assignments in Project GETUpdate Provider Talent Pool Group Assignments in Project PUTAdd multiple providers to project talent pool groups POST
OrganizationProjects

Create project


Create a new project for your company, including core details and configuration for organizing work orders.

POST
/api/rest/v2/projects

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Request Body

application/json

Create Project

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "Nationwide Rollout Project",    "status": "active",    "policy_and_procedures": "Standard policy applies.",    "standard_instructions": "Check in with site manager upon arrival.",    "cancellation_fee": 50,    "late_notification": true,    "client": {      "id": 101,      "name": "Acme Corp"    },    "finance": {      "id": 202    },    "manager": {      "id": 303    }  }'
{
  "id": 123,
  "client_id": 99,
  "company_id": "string_value",
  "name": "Sample Name",
  "status": "active",
  "cancellation_fee": 0,
  "late_notification": true,
  "standard_instructions": "string_value",
  "policy_and_procedures": "string_value",
  "actions": [],
  "correlation_id": "string_value",
  "manager": {
    "thumbnail": "string_value",
    "id": 123,
    "first_name": "John",
    "last_name": "Doe",
    "email": "user@fieldnation.com",
    "phone": "555-0199"
  },
  "contacts": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": []
  },
  "templates": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "actions": [],
    "correlation_id": "string_value",
    "results": []
  },
  "selection_rule": {
    "id": 123,
    "name": "Sample Name"
  },
  "auto_dispatch": {
    "id": 123,
    "delay": 0,
    "w2_skippub": 0,
    "w2_failswitch": 0,
    "should_route": 0,
    "also_publish": 0,
    "selection_rule_id": 0,
    "selection_rule": {
      "id": 123,
      "name": "Sample Name"
    }
  },
  "notifications": {
    "email_subject": {
      "manager": "string_value",
      "provider": "string_value"
    },
    "email_body": {
      "manager": "string_value",
      "provider": "string_value"
    },
    "sms": {
      "manager": "string_value",
      "provider": "string_value"
    },
    "digest_email": {
      "manager": "string_value",
      "provider": "string_value"
    },
    "notification": {
      "manager": "string_value",
      "provider": "string_value"
    }
  },
  "tiered_auto_dispatch": {
    "id": "string_value",
    "method": "string_value",
    "validation": {},
    "strategy": "string_value",
    "also_publish": "string_value",
    "tiers": [
      {
        "name": "gold",
        "value": 10
      }
    ],
    "time_remaining": 0
  },
  "client": {
    "id": 123,
    "name": "Sample Name"
  },
  "finance": {
    "id": 123,
    "description": "Sample description text.",
    "balance": 0,
    "terms": 0
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Get projects GET

Previous Page

Get Provider Talent Pool Group Assignments in Project GET

Next Page

name*string

Project name

status?string

Status

Value in"active" | "completed" | "cancelled"
policy_and_procedures?string

Policy and Procedures

standard_instructions?string

Standard Instructions

cancellation_fee?number

Cancellation fee

late_notification?boolean

Late Notification

notifications?

Project Notifications Dto

client?

I D With Name Dto

finance?

I D Dto

manager?

I D Dto

service_contract?

Service Contract Dto

selection_rule?

I D Dto

auto_dispatch?

Project Auto Dispatch Body Dto

secondary_contact?

Secondary Contact Dto

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/projects" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Nationwide Rollout Project",
    "status": "active",
    "policy_and_procedures": "Standard policy applies.",
    "standard_instructions": "Check in with site manager upon arrival.",
    "cancellation_fee": 50,
    "late_notification": true,
    "client": {
      "id": 101,
      "name": "Acme Corp"
    },
    "finance": {
      "id": 202
    },
    "manager": {
      "id": 303
    }
  }'